~cnx/ipwhl-devel

ipwhl-data: python-multipart: init at 0.0.5 v1 APPLIED

Ngô Ngọc Đức Huy: 6
 python-multipart: init at 0.0.5
 dnspython: init at 2.1.0
 email-validator: init at 1.2.1
 pydantic: init at 1.9.1
 starlette: init at 0.19.1
 fastapi: init at 0.78.0

 6 files changed, 107 insertions(+), 0 deletions(-)
#770905 .build.yml success
ipwhl-data/patches/.build.yml: SUCCESS in 1m19s

[python-multipart: init at 0.0.5][0] from [Ngô Ngọc Đức Huy][1]

[0]: https://lists.sr.ht/~cnx/ipwhl-devel/patches/32639
[1]: mailto:huyngo@disroot.org

✓ #770905 SUCCESS ipwhl-data/patches/.build.yml https://builds.sr.ht/~cnx/job/770905
Thanks!

To git.sr.ht:~cnx/ipwhl-data
   3b288ea9a3a9..463d5e421a9f  main -> main
31 May 2022 17:23:07 Nguyễn Gia Phong <mcsinyx@disroot.org>:
Next
31 May 2022 17:40:31 Nguyễn Gia Phong <mcsinyx@disroot.org>:
Next
16 Jun 2022 09:39:49 Huy Ngo <huyngo@disroot.org>:
Next
> Hmm this is weird.
> I build the wheels.  I checked and the SHA256 checksum mismatched.
> I found out other wheels like pip and flit mismatch as well.
> Irreproducible wheels?
AFAIK no current build backend warrant reproducibility.
For vetting pure Python packages you can run a diff
on the source files though.
Ah alright. I didn't know that apply to tarballs too, which is why tools like tardiff exist. Just checked the sources and they do match.
Export patchset (mbox)
How do I use this?

Copy & paste the following snippet into your terminal to import this patchset into git:

curl -s https://lists.sr.ht/~cnx/ipwhl-devel/patches/32639/mbox | git am -3
Learn more about email & git

[PATCH ipwhl-data 1/6] python-multipart: init at 0.0.5 Export this patch

---
 .../python_multipart-0.0.5-py3-none-any.toml                | 6 ++++++
 1 file changed, 6 insertions(+)
 create mode 100644 pkgs/b1/python-multipart/python_multipart-0.0.5-py3-none-any.toml

diff --git a/pkgs/b1/python-multipart/python_multipart-0.0.5-py3-none-any.toml b/pkgs/b1/python-multipart/python_multipart-0.0.5-py3-none-any.toml
new file mode 100644
index 0000000..fff8165
--- /dev/null
+++ b/pkgs/b1/python-multipart/python_multipart-0.0.5-py3-none-any.toml
@@ -0,0 +1,6 @@
source = 'https://patchouli.sr.ht/builds.sr.ht/artifacts/~huyngo/770894/77fe5e3db66f211f/python_multipart-0.0.5-py3-none-any.whl'
content-id = 'QmRweQwcYWr1N4zDo4cR1B2unGJZkTRGGv754QLS95M3HP'
extras = []
dependencies = [
	'six>=1.4.0',
]
-- 
2.33.3

[PATCH ipwhl-data 2/6] dnspython: init at 2.1.0 Export this patch

---
 .../e7/dnspython/dnspython-2.1.0-py3-none-any.toml | 14 ++++++++++++++
 1 file changed, 14 insertions(+)
 create mode 100644 pkgs/e7/dnspython/dnspython-2.1.0-py3-none-any.toml

diff --git a/pkgs/e7/dnspython/dnspython-2.1.0-py3-none-any.toml b/pkgs/e7/dnspython/dnspython-2.1.0-py3-none-any.toml
new file mode 100644
index 0000000..c10cad9
--- /dev/null
+++ b/pkgs/e7/dnspython/dnspython-2.1.0-py3-none-any.toml
@@ -0,0 +1,14 @@
source = 'https://files.pythonhosted.org/packages/f5/2d/ae9e172b4e5e72fa4b3cfc2517f38b602cc9ba31355f9669c502b4e9c458/dnspython-2.1.0-py3-none-any.whl'
content-id = 'QmamEbnE5txkCAVYvyKkdFpR6oE7x3WvfjEtiuoJanpXHv'
requires-python = '>=3.6'
extras = ['dnssec', 'doh', 'idna', 'curio', 'trio']
dependencies = [
	'cryptography>=2.6; extra == "dnssec"',
	'requests; extra == "doh"',
	'requests-toolbelt; extra == "doh"',
	'idna>=2.1; extra == "idna"',
	'curio>=1.2; extra == "curio"',
	'sniffio>=1.1; extra == "curio"',
	'trio>=0.14.0; extra == "trio"',
	'sniffio>=1.1; extra == "trio"',
]
-- 
2.33.3

[PATCH ipwhl-data 3/6] email-validator: init at 1.2.1 Export this patch

---
 .../email_validator-1.2.1-py2.py3-none-any.toml           | 8 ++++++++
 1 file changed, 8 insertions(+)
 create mode 100644 pkgs/fb/email-validator/email_validator-1.2.1-py2.py3-none-any.toml

diff --git a/pkgs/fb/email-validator/email_validator-1.2.1-py2.py3-none-any.toml b/pkgs/fb/email-validator/email_validator-1.2.1-py2.py3-none-any.toml
new file mode 100644
index 0000000..079d846
--- /dev/null
+++ b/pkgs/fb/email-validator/email_validator-1.2.1-py2.py3-none-any.toml
@@ -0,0 +1,8 @@
source = 'https://files.pythonhosted.org/packages/6b/d2/c587a9cd8473041fd138b213fa12581a4e039d260cf24dfa07f5c9de78e4/email_validator-1.2.1-py2.py3-none-any.whl'
content-id = 'QmNhSyVSCpRGUBGZtj67wKkyoVzdKky38s5JxzTETHuFgH'
requires-python = '!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*,!=3.4.*,>=2.7'
extras = []
dependencies = [
	'dnspython>=1.15.0',
	'idna>=2.0.0',
]
-- 
2.33.3

[PATCH ipwhl-data 4/6] pydantic: init at 1.9.1 Export this patch

---
 pkgs/5c/pydantic/pydantic-1.9.1-py3-none-any.toml | 10 ++++++++++
 1 file changed, 10 insertions(+)
 create mode 100644 pkgs/5c/pydantic/pydantic-1.9.1-py3-none-any.toml

diff --git a/pkgs/5c/pydantic/pydantic-1.9.1-py3-none-any.toml b/pkgs/5c/pydantic/pydantic-1.9.1-py3-none-any.toml
new file mode 100644
index 0000000..343f698
--- /dev/null
+++ b/pkgs/5c/pydantic/pydantic-1.9.1-py3-none-any.toml
@@ -0,0 +1,10 @@
source = 'https://files.pythonhosted.org/packages/f3/88/78666bfe38d3a8aee75fbd2410ac6e26dfdd64585323c07648f387817c76/pydantic-1.9.1-py3-none-any.whl'
content-id = 'QmeT3DYxxUTfZqnrXyGCmUJk7aAfDCJdvtuhLidTfiukbw'
requires-python = '>=3.6.1'
extras = ['dotenv', 'email']
dependencies = [
	'typing-extensions>=3.7.4.3',
	'dataclasses>=0.6; python_version < "3.7"',
	'python-dotenv>=0.10.4; extra == "dotenv"',
	'email-validator>=1.0.3; extra == "email"',
]
-- 
2.33.3

[PATCH ipwhl-data 5/6] starlette: init at 0.19.1 Export this patch

---
 .../starlette/starlette-0.19.1-py3-none-any.toml   | 14 ++++++++++++++
 1 file changed, 14 insertions(+)
 create mode 100644 pkgs/d8/starlette/starlette-0.19.1-py3-none-any.toml

diff --git a/pkgs/d8/starlette/starlette-0.19.1-py3-none-any.toml b/pkgs/d8/starlette/starlette-0.19.1-py3-none-any.toml
new file mode 100644
index 0000000..7b29d2c
--- /dev/null
+++ b/pkgs/d8/starlette/starlette-0.19.1-py3-none-any.toml
@@ -0,0 +1,14 @@
source = 'https://files.pythonhosted.org/packages/f1/9d/1fa96008b302dd3e398f89f3fc5afb19fb0b0f341fefa05c65b3a38d64cf/starlette-0.19.1-py3-none-any.whl'
content-id = 'QmfJZLg8NK9qfKDwGNVmjX4LrJLu9RF4J6opB8HNtPu3Qi'
requires-python = '>=3.6'
extras = ['full']
dependencies = [
	'anyio<5,>=3.4.0',
	'typing-extensions>=3.10.0; python_version < "3.10"',
	'contextlib2>=21.6.0; python_version < "3.7"',
	'itsdangerous; extra == "full"',
	'jinja2; extra == "full"',
	'python-multipart; extra == "full"',
	'pyyaml; extra == "full"',
	'requests; extra == "full"',
]
-- 
2.33.3

[PATCH ipwhl-data 6/6] fastapi: init at 0.78.0 Export this patch

---
 .../fastapi/fastapi-0.78.0-py3-none-any.toml  | 55 +++++++++++++++++++
 1 file changed, 55 insertions(+)
 create mode 100644 pkgs/e8/fastapi/fastapi-0.78.0-py3-none-any.toml

diff --git a/pkgs/e8/fastapi/fastapi-0.78.0-py3-none-any.toml b/pkgs/e8/fastapi/fastapi-0.78.0-py3-none-any.toml
new file mode 100644
index 0000000..20935ab
--- /dev/null
+++ b/pkgs/e8/fastapi/fastapi-0.78.0-py3-none-any.toml
@@ -0,0 +1,55 @@
source = 'https://files.pythonhosted.org/packages/61/0f/427f0af121b226e62237e430f5bf4485e0ae1565b3f5b782613b59f30abc/fastapi-0.78.0-py3-none-any.whl'
content-id = 'QmWMBXwSxqzYGVhCfLXYni2Sjfprr6kynW5sy4rTzn8FnG'
requires-python = '>=3.6.1'
extras = [
	# Ignore development extra
	# 'all',
	# 'dev',
	# 'doc',
	# 'test'
]
dependencies = [
	'starlette==0.19.1',
	'pydantic!=1.7,!=1.7.1,!=1.7.2,!=1.7.3,!=1.8,!=1.8.1,<2.0.0,>=1.6.2',
	'requests<3.0.0,>=2.24.0; extra == "all"',
	'jinja2<4.0.0,>=2.11.2; extra == "all"',
	'python-multipart<0.0.6,>=0.0.5; extra == "all"',
	'itsdangerous<3.0.0,>=1.1.0; extra == "all"',
	'pyyaml<7.0.0,>=5.3.1; extra == "all"',
	'ujson!=4.0.2,!=4.1.0,!=4.2.0,!=4.3.0,!=5.0.0,!=5.1.0,<6.0.0,>=4.0.1; extra == "all"',
	'orjson<4.0.0,>=3.2.1; extra == "all"',
	'email_validator<2.0.0,>=1.1.1; extra == "all"',
	'uvicorn[standard]<0.18.0,>=0.12.0; extra == "all"',
	'python-jose[cryptography]<4.0.0,>=3.3.0; extra == "dev"',
	'passlib[bcrypt]<2.0.0,>=1.7.2; extra == "dev"',
	'autoflake<2.0.0,>=1.4.0; extra == "dev"',
	'flake8<4.0.0,>=3.8.3; extra == "dev"',
	'uvicorn[standard]<0.18.0,>=0.12.0; extra == "dev"',
	'pre-commit<3.0.0,>=2.17.0; extra == "dev"',
	'mkdocs<2.0.0,>=1.1.2; extra == "doc"',
	'mkdocs-material<9.0.0,>=8.1.4; extra == "doc"',
	'mdx-include<2.0.0,>=1.4.1; extra == "doc"',
	'mkdocs-markdownextradata-plugin<0.3.0,>=0.1.7; extra == "doc"',
	'typer<0.5.0,>=0.4.1; extra == "doc"',
	'pyyaml<7.0.0,>=5.3.1; extra == "doc"',
	'pytest<7.0.0,>=6.2.4; extra == "test"',
	'pytest-cov<4.0.0,>=2.12.0; extra == "test"',
	'mypy==0.910; extra == "test"',
	'flake8<4.0.0,>=3.8.3; extra == "test"',
	'black==22.3.0; extra == "test"',
	'isort<6.0.0,>=5.0.6; extra == "test"',
	'requests<3.0.0,>=2.24.0; extra == "test"',
	'httpx<0.19.0,>=0.14.0; extra == "test"',
	'email_validator<2.0.0,>=1.1.1; extra == "test"',
	'sqlalchemy<1.5.0,>=1.3.18; extra == "test"',
	'peewee<4.0.0,>=3.13.3; extra == "test"',
	'databases[sqlite]<0.6.0,>=0.3.2; extra == "test"',
	'orjson<4.0.0,>=3.2.1; extra == "test"',
	'ujson!=4.0.2,!=4.1.0,!=4.2.0,!=4.3.0,!=5.0.0,!=5.1.0,<6.0.0,>=4.0.1; extra == "test"',
	'python-multipart<0.0.6,>=0.0.5; extra == "test"',
	'flask<3.0.0,>=1.1.2; extra == "test"',
	'anyio[trio]<4.0.0,>=3.2.1; extra == "test"',
	'types-ujson==4.2.1; extra == "test"',
	'types-orjson==3.6.2; extra == "test"',
	'types-dataclasses==0.6.5; extra == "test" and python_version < "3.7"',
]
-- 
2.33.3
ipwhl-data/patches/.build.yml: SUCCESS in 1m19s

[python-multipart: init at 0.0.5][0] from [Ngô Ngọc Đức Huy][1]

[0]: https://lists.sr.ht/~cnx/ipwhl-devel/patches/32639
[1]: mailto:huyngo@disroot.org

✓ #770905 SUCCESS ipwhl-data/patches/.build.yml https://builds.sr.ht/~cnx/job/770905
Thanks!

To git.sr.ht:~cnx/ipwhl-data
   3b288ea9a3a9..463d5e421a9f  main -> main